get/accounts/{accountResourceId}/overdrafts

Retrieval of an account overdraft (AISP)

Escopo OAuth2: aisp

Parâmetros (19)

  • Authorizationheaderstringobrigatório

    Access token to be passed as a header

  • accountResourceIdpathstringobrigatório

    Identification of account resource to fetch

    Restrições: pattern: ^([a-zA-Z0-9_ /\-?:\()\.,']{1,100})$

  • PSU-IP-Addressheaderstring

    IP address used by the PSU's terminal when connecting to the TPP

  • PSU-IP-Portheaderstring

    IP port used by the PSU's terminal when connecting to the TPP

  • PSU-HTTP-Methodheaderstring

    Http method for the most relevant PSU's terminal request to the TTP

  • PSU-Dateheaderstring

    Timestamp of the most relevant PSU's terminal request to the TTP

  • PSU-GEO-Locationheaderstring

    Geographical location of the PSU as provided by the PSU mobile terminal if any to the TPP

  • PSU-User-Agentheaderstring

    "User-Agent" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Refererheaderstring

    "Referer" header field sent by the PSU terminal when connecting to the TPP. Notice that an initial typo in RFC 1945 specifies that "referer" (incorrect spelling) is to be used. The correct spelling "referrer" can be used but might not be understood.

  • PSU-Acceptheaderstring

    "Accept" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Accept-Charsetheaderstring

    "Accept-Charset" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Accept-Encodingheaderstring

    "Accept-Encoding" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Accept-Languageheaderstring

    "Accept-Language" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Device-IDheaderstring

    UUID (Universally Unique Identifier) for a device, which is used by the PSU, if available. UUID identifies either a device or a device dependant application installation. In case of installation identification this ID need to be unaltered until removal from device.

  • Digestheaderstring

    Digest of the body

  • Signatureheaderstring

    http-signature of the request The keyId must specify the way to get the relevant qualified certificate. It is requested that this identifier is an URL aiming to provide the relevant Qualified Certificate.

  • X-Request-IDheaderstringobrigatório

    Correlation header to be set in a request and retrieved in the relevant response

    Restrições: maxLength: 70

  • workspacequerystring

    Workspace to be used for processing an AISP request. If not provided, the default workspace is computed from the authentication that was used for getting the OAuth2 Access Token.

    Restrições: maxLength: 32

  • X-JWS-Signatureheaderstring

Respostas

200

Overdraft response

Halobject

HalOverdrafts

HYPERMEDIA structure used for returning the list of the overdrafts that can apply on a given account to the AISP

Campos (2)

  • overdraftsOverdraftobrigatório

    ISO20022: Overdraft characteristics

    Esquema: Overdraft

    ISO20022: Overdraft characteristics API: Amounts must always be set as positive values.

    • allowedAmountAmountTypeobrigatório

      Structure aiming to embed the amount and the currency to be used.

      Esquema: AmountType

      Structure aiming to embed the amount and the currency to be used.

      • amountnumber (float)obrigatório

        ISO20022: Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.

        ISO20022: Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.

        Restrições: pattern: `^\-{0,1}[0-9]{1,13}(\.[0-9]{0,5}){0,1}$`

      • currencyCurrencyCodeISO 4217obrigatório

        Specifies the currency of the amount or of the account.

        Esquema: CurrencyCode

        Specifies the currency of the amount or of the account. A code allocated to a currency by a Maintenance Agency under an international identification scheme, as described in the latest edition of the international standard ISO 4217 "Codes for the representation of currencies and funds".

        Tipo: string

        Restrições: pattern: `^[A-Z]{3,3}$`

204

No content.

Definição de resposta compartilhada: 204

400

Invalid status value

Technicalobject

ErrorModel

Generic error report structure

Campos (6)

  • timestampstring (date-time)ISO 8601

    current timestamp

  • statusinteger (int32)obrigatório

    HTTP error code

  • errorstring

    HTTP error text

    Restrições: maxLength: 140

  • messagestringobrigatório

    HTTP textual reason phrase

    Restrições: maxLength: 140

  • pathstring

    Relevant path that was used

    Restrições: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    detailed error description

    • locationstringenumeração · 2

      Location of the erroneous parameter when not in request body

      Código
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

      • minValueinteger
      • maxValueinteger
    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

      • minValueinteger
      • maxValueinteger
    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

401

Unauthorized, authentication failure.

Technicalobject

ErrorModel

Generic error report structure

Campos (6)

Campos detalhados mais acima: responses.400

403

Forbidden, authentication successful but access to resource is not allowed.

Technicalobject

ErrorModel

Generic error report structure

Campos (6)

Campos detalhados mais acima: responses.400

404

Not found, no request available.

Technicalobject

ErrorModel

Generic error report structure

Campos (6)

Campos detalhados mais acima: responses.400

405

Method Not Allowed.

Technicalobject

ErrorModel

Generic error report structure

Campos (6)

Campos detalhados mais acima: responses.400

406

Not Acceptable.

Technicalobject

ErrorModel

Generic error report structure

Campos (6)

Campos detalhados mais acima: responses.400

408

Request Timeout.

Technicalobject

ErrorModel

Generic error report structure

Campos (6)

Campos detalhados mais acima: responses.400

429

Too many requests.

Technicalobject

ErrorModel

Generic error report structure

Campos (6)

Campos detalhados mais acima: responses.400

500

Internal server error.

Technicalobject

ErrorModel

Generic error report structure

Campos (6)

Campos detalhados mais acima: responses.400

503

Service unavailable.

Technicalobject

ErrorModel

Generic error report structure

Campos (6)

Campos detalhados mais acima: responses.400

Esquemas usados por este endpoint

Todas as estruturas referenciadas por esta operação, listadas uma única vez. As referências cruzadas levam a esta mesma página.

ISO20022string

CurrencyCode

Specifies the currency of the amount or of the account. A code allocated to a currency by a Maintenance Agency under an international identification scheme, as described in the latest edition of the international standard ISO 4217 "Codes for the representation of currencies and funds".

Technicalobject

ErrorDetail

detailed error description

Campos (9)

Campos detalhados mais acima: responses.400.details

Technicalobject

ErrorModel

Generic error report structure

Campos (6)

Campos detalhados mais acima: responses.400

Halobject

HalOverdrafts

HYPERMEDIA structure used for returning the list of the overdrafts that can apply on a given account to the AISP

Campos (2)

Campos detalhados mais acima: responses.200

ISO20022object

Overdraft

ISO20022: Overdraft characteristics API: Amounts must always be set as positive values.

Campos (1)

Campos detalhados mais acima: responses.200.overdrafts